Skip to main content
GET
/
api
/
v2
/
emails
/
{id}
Get email
curl --request GET \
  --url https://api.instantly.ai/api/v2/emails/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-af69-762b-a7a0-0be46f0d941c",
  "timestamp_created": "2026-03-05T23:09:47.241Z",
  "timestamp_email": "2026-03-05T23:09:47.241Z",
  "message_id": "<example123@mail.gmail.com>",
  "subject": "Re: Your inquiry",
  "to_address_email_list": "recipient@example.com",
  "body": {
    "text": "This is a test email",
    "html": "<p>This is a test email</p>"
  },
  "organization_id": "019cc043-af69-762b-a7a0-0be565ea00e4",
  "eaccount": "eaccount-123",
  "from_address_email": "sender@example.com",
  "cc_address_email_list": "cc@example.com",
  "bcc_address_email_list": "bcc@example.com",
  "reply_to": "replyto@example.com",
  "campaign_id": "019cc043-af69-762b-a7a0-0be61e566b5d",
  "subsequence_id": "019cc043-af69-762b-a7a0-0be77dbe4eca",
  "list_id": "019cc043-af69-762b-a7a0-0be8fad733ac",
  "lead": "jondoe@example.com",
  "lead_id": "019cc043-af69-762b-a7a0-0be97e6159ef",
  "ue_type": 3,
  "step": "step-123",
  "is_unread": 1,
  "is_auto_reply": 0,
  "reminder_ts": "2026-03-05T23:09:47.241Z",
  "ai_interest_value": 0.75,
  "ai_assisted": 1,
  "is_focused": 1,
  "i_status": 0,
  "thread_id": "019cc043-af69-762b-a7a0-0bea911fd846",
  "content_preview": "This is a preview of the email content.",
  "attachment_json": {
    "files": [
      {
        "filename": "attachment",
        "size": 1927,
        "type": "text/css",
        "url": "https://cdn.instantly.ai/example-attachment/",
        "error": null
      }
    ]
  },
  "from_address_json": "<array>",
  "to_address_json": "<array>",
  "cc_address_json": "<array>",
  "ai_agent_id": "019cc043-af69-762b-a7a0-0bebb671c59c"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019cc043-e35c-7622-9e82-52d99cce29db"

Response

The requested Email

A campaign email, a reply, a manually sent email, or any other email that's visible in the Unibox

id
string<uuid>
required

A Unique identifier

Example:

"019cc043-af69-762b-a7a0-0be46f0d941c"

timestamp_created
string<date-time>
required

Timestamp when the email was added to our database. This is not the timestamp of the email itself, since the email could have been sent at a different time. Please check the timestamp_email field for the timestamp of the email.

Example:

"2026-03-05T23:09:47.241Z"

timestamp_email
string<date-time>
required

The timestamp of the email, as provided by the email server. Please note that the timestamp is not always accurate, as it can be manipulated by the sender or the email server.

Example:

"2026-03-05T23:09:47.241Z"

message_id
string
required

Unique email ID from the email server

Example:

"<example123@mail.gmail.com>"

subject
string
required

Subject line of the email message

Example:

"Re: Your inquiry"

to_address_email_list
string
required

Comma-separated list of recipient email addresses

Example:

"recipient@example.com"

body
object
required

An object containing the email body in HTML and text format

organization_id
string<uuid>
required

The workspace ID

Example:

"019cc043-af69-762b-a7a0-0be565ea00e4"

eaccount
string
required

The email account that was used to send the email. This needs to be validated to make sure it exists in the user workspace

Example:

"eaccount-123"

from_address_email
null | string<email>

The sender email address, populated based on the eaccount

Example:

"sender@example.com"

cc_address_email_list
null | string

Comma-separated list of CC email addresses

Example:

"cc@example.com"

bcc_address_email_list
null | string

Comma-separated list of BCC email addresses

Example:

"bcc@example.com"

reply_to
null | string

Reply-to email address

Example:

"replyto@example.com"

campaign_id
null | string<uuid>

The id of the campaign that the email is associated with (it can be null for manually sent emails)

Example:

"019cc043-af69-762b-a7a0-0be61e566b5d"

subsequence_id
null | string<uuid>

The id of the campaign subsequence that the email is associated with (it can be null for manually sent emails)

Example:

"019cc043-af69-762b-a7a0-0be77dbe4eca"

list_id
null | string<uuid>

The id of the list (if the lead is part of a list)

Example:

"019cc043-af69-762b-a7a0-0be8fad733ac"

lead
null | string

The email address of the lead that the email is associated with

Example:

"jondoe@example.com"

lead_id
null | string<uuid>

The lead id (if any)

Example:

"019cc043-af69-762b-a7a0-0be97e6159ef"

ue_type
null | enum<number>

Email type based on the life cycle of the email

Available options:
1,
2,
3,
4
Example:

3

step
null | string

The campaign step that the email is associated with

Example:

"step-123"

is_unread
null | number

Indicates if the email is unread

Example:

1

is_auto_reply
null | number

Indicates if the email is an auto-reply. 0 (zero) - is false, and 1 is true

Example:

0

reminder_ts
null | string<date-time>

Timestamp for the reminder.

Example:

"2026-03-05T23:09:47.241Z"

ai_interest_value
null | number

AI interest value

Example:

0.75

ai_assisted
null | number

Indicates if AI assistance was used

Example:

1

is_focused
null | number

Indicates if the email is focused (is in the primary tab in the Unibox)

Example:

1

i_status
null | number

Indicates the interest status of the email

Example:

0

thread_id
null | string<uuid>

Identifier for the email thread. All the emails in the same thread have the same thread ID

Example:

"019cc043-af69-762b-a7a0-0bea911fd846"

content_preview
null | string

A short preview of the email content (usually the first few lines of the email)

Example:

"This is a preview of the email content."

attachment_json
object

Attachment metadata for the email. This field is null when there are no attachments.

Example:
{
"files": [
{
"filename": "attachment",
"size": 1927,
"type": "text/css",
"url": "https://cdn.instantly.ai/example-attachment/",
"error": null
}
]
}
from_address_json
null | array

List of from address details

to_address_json
null | array

List of to address details

cc_address_json
null | array

List of CC address details

ai_agent_id
null | string<uuid>

ID of the AI agent that sent this email (if applicable)

Example:

"019cc043-af69-762b-a7a0-0bebb671c59c"